Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util.slurpersupport
Class Attributes

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.slurpersupport.GPathResult
              groovy.util.slurpersupport.NodeChildren
                  groovy.util.slurpersupport.Attributes

    class Attributes
    extends NodeChildren

author:
  John Wilson

Field Summary
`String` | `attributeName`

Fields inherited from class GPathResult
name, namespaceMap, namespacePrefix, namespaceTagHints, parent

Constructor Summary
`Attributes(GPathResult parent, String name, String namespacePrefix, Map namespaceTagHints)`
`Attributes(GPathResult parent, String name, Map namespaceTagHints)`

Method Summary
`void` | `build(GroovyObject builder)`
`Iterator` | `childNodes()`
`GPathResult` | `findAll(Closure closure)`
`Iterator` | `iterator()`
`List` | `list()`
`String` | `name()`
`Iterator` | `nodeIterator()`
`GPathResult` | `parents()`
`String` | `text()`
`Writer` | `writeTo(Writer out)`

Methods inherited from class NodeChildren
appendNode, build, childNodes, find, findAll, iterator, nodeIterator, parents, replaceBody, replaceNode, size, text, writeTo

Methods inherited from class GPathResult
appendNode, breadthFirst, childNodes, children, declareNamespace, depthFirst, equals, find, findAll, getAt, getAt, getBody, getProperty, isEmpty, iterator, leftShift, list, lookupNamespace, name, nodeIterator, parent, parents, plus, putAt, replaceBody, replaceNode, setMetaClass, setProperty, size, text, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### attributeName

    final String attributeName

Constructor Detail

### Attributes

    public Attributes(GPathResult parent, String name, String namespacePrefix, Map namespaceTagHints)

### Attributes

    public Attributes(GPathResult parent, String name, Map namespaceTagHints)

Method Detail

### build

    public void build(GroovyObject builder)

### childNodes

    public Iterator childNodes()

### findAll

    public GPathResult findAll(Closure closure)

### iterator

    public Iterator iterator()

### list

    public List list()

### name

    public String name()

### nodeIterator

    public Iterator nodeIterator()

### parents

    public GPathResult parents()

### text

    public String text()

### writeTo

    public Writer writeTo(Writer out)

Copyright © 2003-2009 The Codehaus. All rights reserved.